Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class InlineImageBody

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.InlineImageBody

    @PDF(value=PDF10)
    public final class InlineImageBody

extends Operation

Inline image data (anonymous) operation [PDF:1.6:4.8.6].

This is a figurative operation necessary to constrain the inline image data section within the content stream model.

Since:
  0.0.4
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Constructor Summary
`InlineImageBody(IBuffer value)`

Method Summary
`IBuffer` | `getValue()`
`void` | `setValue(IBuffer value)`
`void` | `writeTo(IOutputStream stream, Document context)` Serializes this object to the specified stream.

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString`

Methods inherited from class org.pdfclown.documents.contents.objects.ContentObject
`scan`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InlineImageBody

    public InlineImageBody(IBuffer value)

Method Detail

### getValue

    public IBuffer getValue()

### setValue

    public void setValue(IBuffer value)

  Since:
    0.0.6

### writeTo

    public void writeTo(IOutputStream stream,
                        Document context)

  Description copied from class: `ContentObject`
  Serializes this object to the specified stream.

  Overrides:
    `writeTo` in class `Operation`
  Parameters:
    `stream` - Target stream.
    `context` - Document context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.